<?php
/**
 * Footer template.
 *
 * @package P2
 */
?>
	<div class="clear"></div>
<div id="search-container">
<?php get_search_form(); ?>
</div>
</div> <!-- // wrapper -->

<div id="footer">
	<p>
	    <?php bloginfo( 'name' ); ?> | <?php bloginfo( 'description' ); ?> All Rights Reserved | Theme by <a href="<?php echo esc_url( __('https://www.dukeyin.com', 'keepmins'));?>" rel="designer">Duke Yin</a> | <span style="font-size: 12px;text-align: right"><a href="<?php echo esc_url( __('http://www.miitbeian.gov.cn', 'keepmins'));?>" rel="nofollow" rel="nofollow" target="_blank"><?php echo get_option( 'km_settings' )['km_beian'];?></a></span></p>
</div>

<div id="notify"></div>

<div id="help">
	<dl class="directions">
		<dt>c</dt><dd><?php _e( 'Compose new post', 'keepmins' ); ?></dd>
		<dt>j</dt><dd><?php _e( 'Next post/Next comment', 'keepmins' ); ?></dd>
		<dt>k</dt> <dd><?php _e( 'Previous post/Previous comment', 'keepmins' ); ?></dd>
		<dt>r</dt> <dd><?php _e( 'Reply', 'keepmins' ); ?></dd>
		<dt>e</dt> <dd><?php _e( 'Edit', 'keepmins' ); ?></dd>
		<dt>o</dt> <dd><?php _e( 'Show/Hide comments', 'keepmins' ); ?></dd>
		<dt>t</dt> <dd><?php _e( 'Go to top', 'keepmins' ); ?></dd>
		<dt>l</dt> <dd><?php _e( 'Go to login', 'keepmins' ); ?></dd>
		<dt>h</dt> <dd><?php _e( 'Show/Hide help', 'keepmins' ); ?></dd>
		<dt><?php _e( 'shift + esc', 'keepmins' ); ?></dt> <dd><?php _e( 'Cancel', 'keepmins' ); ?></dd>
	</dl>
</div>



<?php wp_footer(); ?>
<script src="<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/js/jquery.meanmenu.js"></script>
<?php if ( is_home() and current_user_can( 'publish_posts' ) ) : ?>
<script charset="utf-8" src="https://apis.map.qq.com/api/js?v=2.exp&libraries=convertor&key=<?php echo get_option( 'km_settings' )['qqmap_key'];?>"></script>
<script>
var m = document.getElementById("address");
function getLocation() {
document.getElementById("ajaxActivity").style.display="block";
    if (navigator.geolocation) {
        navigator.geolocation.getCurrentPosition(showPosition,showError);
    } else { 
        m.innerHTML = "<?php _e('Current browser does not support geo location info.','keepmins');?>";
    }
}
function showPosition(position) {
	document.getElementById("geo_latitude").value = position.coords.latitude;
	document.getElementById("geo_longitude").value = position.coords.longitude;
	document.getElementById("tags").value = "geo,";
    geocoder = new qq.maps.Geocoder({
        complete : function(result){
			document.getElementById("geoinfo").setAttribute("class", "add-icon"); 
            m.innerHTML = result.detail.address;
			document.getElementById("geo_address").value = result.detail.address;
			document.getElementById("ajaxActivity").style.display="none";
        }
    });
    var lat = parseFloat(position.coords.latitude);
    var lng = parseFloat(position.coords.longitude);
    var latLng = new qq.maps.LatLng(lat, lng);
	
jQuery(document).ready(function(){	
	qq.maps.convertor.translate(latLng, 1, function(res){
		latLng = res[0];
 		geocoder.getAddress(latLng);
		var latlngStr = latLng.toString().split(",",2);
		var qqlat = parseFloat(latlngStr[0]);
		var qqlog = parseFloat(latlngStr[1]);
		document.getElementById("geo_qqlat").value = qqlat;
		document.getElementById("geo_qqlog").value = qqlog;
		var url='https://apis.map.qq.com/ws/geocoder/v1/?output=jsonp&location='+qqlat+','+qqlog+'&key=<?php echo get_option( 'km_settings' )['qqmap_key'];?>&get_poi=1&callback=?';
     jQuery.ajax({
		     url:url,
		     dataType:'jsonp',
		     processData: true,
		     type:'get',
			 jsonp: "callback",
			 contentType: "application/jsonp; charset=utf-8",
		     success:function(data){
				console.log(data);
				jQuery('#geo_venue').empty();
			for(var i=0;i<data.result.pois.length;i++){
			   jQuery('#geo_venue').append(jQuery("<option></option>").attr("value", (data.result.pois[i].title)).text(data.result.pois[i].title));
			   document.getElementById("geo_venue").style.display="block";
			 };
		     },
		     error:function(XMLHttpRequest, textStatus, errorThrown) {
		       alert(XMLHttpRequest.status);
		       alert(XMLHttpRequest.readyState);
		       alert(textStatus);
		     }});
	    });
		});
}
function showError(error)
  {
  document.getElementById("ajaxActivity").style.display="none";
  switch(error.code) 
    {
    case error.PERMISSION_DENIED:
      m.innerHTML="<?php _e('No permission to use geo location.','keepmins');?>"
      break;
    case error.POSITION_UNAVAILABLE:
      m.innerHTML="<?php _e('Geo location info is not available.','keepmins');?>"
      break;
    case error.TIMEOUT:
      m.innerHTML="<?php _e('Getting your location time out.','keepmins');?>"
      break;
    case error.UNKNOWN_ERROR:
      m.innerHTML="<?php _e('Unknow error.','keepmins');?>"
      break;
    }
  }
</script>
<?php endif; ?>
<script>
	jQuery(document).ready(function () {
	    jQuery('.menu-menu-container').meanmenu();
	});
</script>
<?php if(is_singular()):?>
<script>
	jQuery(document).ready(function () {
		jQuery( 'a#share' ).click( function() {
		jQuery( '#share-container' ).toggleClass( 'show-share' );
		return false;
		});
	});	
	jQuery(document).ready(function () {
		jQuery( '#geolocation' ).click( function() {
		jQuery( '#geomap' ).toggleClass( 'show-map' );
		return false;
		});
	});
</script>
<?php endif; ?>

<?php if(is_home()):?>
<script>
	jQuery(document).ready(function () {
		jQuery( 'a#search' ).click( function() {
		jQuery( '#search-container' ).toggleClass( 'show-search' );
		return false;
		});
	});	
</script>
<?php endif; ?>

<script>window._bd_share_config={"common":{"bdSnsKey":{},"bdText":"","bdMini":"2","bdMiniList":false,"bdPic":"","bdStyle":"3","bdSize":"16","bdCustomStyle":""},"share":{}};with(document)0[(getElementsByTagName('head')[0]||body).appendChild(createElement('script')).src='/static/api/js/share.js?v=89860593.js?cdnversion='+~(-new Date()/36e5)];</script>
</body>
</html>