<?php
/**
 * Front-end post form.
 *
 * @package P2
 */
?>
<script type="text/javascript">
/* <![CDATA[ */
	jQuery(document).ready(function($) {
		$('#post_format').val($('#post-types a.selected').attr('id'));
		$('#post-types a').click(function(e) {
			$('.post-input').hide();
			$('#post-types a').removeClass('selected');
			$(this).addClass('selected');
			if ($(this).attr('id') == 'post') {
				$('#posttitle').val("<?php echo esc_js( __('Title', 'keepmins') ); ?>");
			} else {
				$('#posttitle').val('');
			}
			$('#postbox-type-' + $(this).attr('id')).show();
			$('#post_format').val($(this).attr('id'));
			return false;
		});
	});
/* ]]> */
</script>

<?php $post_format = isset( $_GET['p'] ) ? $_GET['p'] : 'status'; ?>
<div id="postbox">
		<ul id="post-types">
			<li><a id="status" class="post-format-button<?php if ( 'status' == $post_format ) : ?> selected<?php endif; ?>" href="<?php echo site_url( '?p=status' ); ?>" title="<?php esc_attr_e( 'Status', 'keepmins' ); ?>"><?php _e( 'Status', 'keepmins' ); ?></a></li>
			<li><a id="post" class="post-format-button<?php if ( 'post' == $post_format || 'standard' == $post_format ) : ?> selected<?php endif; ?>" href="<?php echo site_url( '?p=post' ); ?>" title="<?php esc_attr_e( 'Blog', 'keepmins' ); ?>"><?php _e( 'Blog', 'keepmins' ); ?></a></li>
			<li><a id="quote" class="post-format-button<?php if ( 'quote' == $post_format ) : ?> selected<?php endif; ?>" href="<?php echo site_url( '?p=quote' ); ?>" title="<?php esc_attr_e( 'Quots', 'keepmins' ); ?>"><?php _e( 'Quots', 'keepmins' ); ?></a></li>
			<li><a id="link" class="post-format-button<?php if ( 'link' == $post_format ) : ?> selected<?php endif; ?>" href="<?php echo site_url( '?p=link' ); ?>" title="<?php esc_attr_e( 'Links', 'keepmins' ); ?>"><?php _e( 'Links', 'keepmins' ); ?></a></li>
		</ul>
<?php if (!wp_is_mobile()) {?>
		<div class="avatar">
			<img width="48" height="48" class="avatar" src="<?php if(get_option( 'km_settings' )['author_avatar'] != ''){echo get_option( 'km_settings' )['author_avatar'];} else {echo esc_url( get_stylesheet_directory_uri() );echo '/i/avatar.jpg';} ?>" alt="<?php echo esc_attr( $posts_by_title ); ?>">
		</div>
<?php }?>
		<div class="inputarea">

			<form id="new_post" name="new_post" method="post" action="<?php echo site_url(); ?>/">
			    <input type="hidden" value="" id="geo_latitude" name="geo_latitude">
			    <input type="hidden" value="" id="geo_longitude" name="geo_longitude">
			    <input type="hidden" value="" id="geo_address" name="geo_address">
			    <input type="hidden" value="" id="geo_qqlat" name="geo_qqlat">
				 <input type="hidden" value="" id="geo_qqlog" name="geo_qqlog">
				<div id="postbox-type-post" class="post-input <?php if ( 'post' == $post_format || 'standard' == $post_format ) echo ' selected'; ?>">
					<input type="text" name="posttitle" id="posttitle" value=""
						onfocus="this.value=(this.value=='<?php echo esc_js( __( 'Post Title', 'keepmins' ) ); ?>') ? '' : this.value;"
						onblur="this.value=(this.value=='') ? '<?php echo esc_js( __( 'Post Title', 'keepmins' ) ); ?>' : this.value;" />
				</div>
				<div id="exit"><a href="<?php echo wp_logout_url( home_url() ); ?>" title="logout" id="logout"><span class="logout-icon"></span></a></div>
				<?php if ( current_user_can( 'upload_files' ) ): ?>
				<div id="media-buttons" class="hide-if-no-js">
					<?php p2_media_buttons(); ?>
				</div>
				<?php endif; ?>
				<div id="geo"><span class="geo-icon" onclick="getLocation()"><?php _e( 'Check in', 'keepmins' ); ?></span></div>
				<textarea class="expand70-200" name="posttext" id="posttext" tabindex="1" rows="4" cols="60"></textarea>
				<div id="postbox-type-quote" class="post-input <?php if ( 'quote' == $post_format ) echo " selected"; ?>">
					<label for="postcitation" class="invisible"><?php _e( 'Author', 'keepmins' ); ?></label>
						<input id="postcitation" name="postcitation" type="text" tabindex="2"
							value="<?php esc_attr_e( 'Author', 'keepmins' ); ?>"
							onfocus="this.value=(this.value=='<?php echo esc_js( __( 'Author', 'keepmins' ) ); ?>') ? '' : this.value;"
							onblur="this.value=(this.value=='') ? '<?php echo esc_js( __( 'Author', 'keepmins' ) ); ?>' : this.value;" />
				</div>
				<label class="post-error" for="posttext" id="posttext_error"></label>
				<div class="postrow">
					<input id="tags" name="tags" type="text" autocomplete="off"
						value="<?php esc_attr_e( 'Tag it', 'keepmins' ); ?>"
						onfocus="this.value=(this.value=='<?php echo esc_js( __( 'Tag it', 'keepmins' ) ); ?>') ? '' : this.value;"
						onblur="this.value=(this.value=='') ? '<?php echo esc_js( __( 'Tag it', 'keepmins' ) ); ?>' : this.value;" />
					<input id="submit" type="submit" value="<?php esc_attr_e( 'Post it', 'keepmins' ); ?>" />
				</div>
				<input type="hidden" name="post_format" id="post_format" value="<?php echo esc_attr( $post_format ); ?>" />
				<span class="progress spinner-post-new" id="ajaxActivity"></span>
				<?php do_action( 'p2_post_form' ); ?>
				<input type="hidden" name="action" value="post" />
				<?php wp_nonce_field( 'new-post' ); ?>
				<div id="geoinfo"><select id="geo_venue" name="geo_venue" tabindex="3" style="display:none;"></select><sapn id="address"><span></div>
			</form>
		</div>

		<div class="clear"></div>

</div> <!-- // postbox -->
<script type="text/javascript">
(function($) {

	$.fn.charCount = function(options){
		var defaults = {	
			allowed: 280,		
			warning: 25,
			css: 'word_check',
			counterElement: 'div',
			cssWarning: 'warning',
			cssExceeded: 'exceeded',
			counterText: ''
		}; 
			
		var options = $.extend(defaults, options); 
		
		function calculate(obj){
			var count = $(obj).val().length;
			var available = options.allowed - count;
			if(available <= options.warning && available >= 0){
				$(obj).next().addClass(options.cssWarning);
			} else {
				$(obj).next().removeClass(options.cssWarning);
			}
			if(available < 0){
				$(obj).next().addClass(options.cssExceeded);
			} else {
				$(obj).next().removeClass(options.cssExceeded);
			}
			if(available >= 0){
			}
			$(obj).next().html(options.counterText + available);
		};
				
		this.each(function() {  			
			$(this).after('<'+ options.counterElement +' class="' + options.css + '">'+ options.counterText +'</'+ options.counterElement +'>');
			calculate(this);
			$(this).keyup(function(){calculate(this)});
			$(this).change(function(){calculate(this)});
		});
	  
	};

})(jQuery);

</script>
<script type="text/javascript">
	jQuery(document).ready(function(){	
		//default usage
		jQuery("#posttext").charCount();
		//custom usage
		jQuery("#message2").charCount({
			allowed: 50,		
			warning: 20,
			counterText: 'Characters left: '	
		});
	});
</script>