<?php
/*
Template Name: Attachmentpage
*/
__( 'Attachmentpage', 'keepmins' );
get_header();
?>
<div class="sleeve_main">
	<div id="main">
		<div class="page-tit"><?php the_title(); ?></div>
		<ul id="imglist">
<?php
  // set up or arguments for our custom query
  $paged = ( get_query_var('paged') ) ? get_query_var('paged') : 1;
  $query_args = array(
    'post_type' => 'post',
    's' => '<img',
    'posts_per_page' => 9,
    'paged' => $paged
  );
  // create a new instance of WP_Query
  $the_query = new WP_Query( $query_args );
?>

<?php if ( $the_query->have_posts() ) : while ( $the_query->have_posts() ) : $the_query->the_post(); // run the loop 
$first_img = get_first_image();
$img = aq_resize( $first_img, 220, 220, true, true, true );
?>
  <li>
  <a href="<?php the_permalink() ?>" title="<?php the_title_attribute(); ?>"><img src="<?php echo $img ;?>" width="220" height="220" alt="<?php the_title_attribute(); ?>"></a>
<p class="imgdisc"><?php echo the_title(); ?></p>
  </li>
<?php endwhile; ?>

<?php if ($the_query->max_num_pages > 1) { // check if the max number of pages is greater than 1  ?>
  <div class="navigation">
    <p class="nav-older">
      <?php echo get_next_posts_link( '<span class="larrow-icon"></span>', $the_query->max_num_pages ); // display older posts link ?>
    </p>
    <p class="nav-newer">
      <?php echo get_previous_posts_link( '<span class="rarrow-icon"></span>' ); // display newer posts link ?>
    </p>
  </div>
<?php } ?>
<?php else: ?>
  <article>
    <h1>Sorry...</h1>
    <p><?php _e('Sorry, no posts matched your criteria.','keepmins'); ?></p>
  </article>
<?php endif; ?>
</ul>
	</div> <!-- main -->
</div> <!-- sleeve -->
<?php get_footer(); ?>