<?php
/**
 * Header template.
 *
 * @package keepmins
 */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo( 'html_type' ); ?>; charset=<?php bloginfo( 'charset' ); ?>" />
<!--[if lte IE 8]>  
<div id="ie6-warning"><?php _e('Your browser is out of date, for best exprience, consider update your brower or user Google Chrome or Firefox.','keepmins'); ?></div>
<![endif]-->
<meta name="renderer" content="webkit|ie-comp|ie-stand">
<meta http-equiv="Cache-Control" content="no-siteapp">
<meta name="viewport" content="width=device-width, initial-scale=1, viewport-fit=cover" />
<?php
 if (is_home() || is_page() || is_archive() ){     
 $description = get_option( 'km_settings' )['seo_keywords'];
 $keywords = get_option( 'km_settings' )['seo_keywords'];
} elseif (is_single()){
 if ($post->post_excerpt) {
  $description  = $post->post_excerpt;      
 } else {
  $description = substr(strip_tags($post->post_content),0,220);     
 }
 $keywords = "";
 $tags = wp_get_post_tags($post->ID);      
 foreach ($tags as $tag ) {
  $keywords = $keywords . $tag->name . ",";
  }
}
?>
<meta name="description" content="<?php echo trim($description); ?>" /> 
<meta name="keywords" content="<?php echo rtrim($keywords,','); ?>" />
<meta name="author" content="<?php echo get_option( 'km_settings' )['seo_author'];?>" />
<link href="<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/i/favicon.png" rel="icon" type="image/x-icon" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php if (get_option( 'km_settings' )['seo_baidu_ana'] != ""){;?>
<script>var _hmt = _hmt || [];(function() {var hm = document.createElement("script");hm.src = "//hm.baidu.com/hm.js?<?php echo get_option( 'km_settings' )['seo_baidu_ana'];?>";var s = document.getElementsByTagName("script")[0]; s.parentNode.insertBefore(hm, s);})();</script>
<?php } ?>
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<div id="header">
<?php do_action( 'before' ); ?>
	<div class="sleeve">
		<h1><a href="<?php echo home_url( '/' ); ?>"><i class="icon iconfont">&#xe621;</i><?php bloginfo( 'name' ); ?></a>
		<?php if ( has_nav_menu( 'primary' ) ) : ?>
	<div role="navigation" class="site-navigation main-navigation">
		<?php wp_nav_menu( array(
			'theme_location' => 'primary',
			'fallback_cb'    => '__return_false',
		) ); ?>
	</div>
	<?php endif; ?>
		</h1>
		<?php if ( current_user_can( 'publish_posts' ) ) : ?>
			<a href="" id="mobile-post-button" style="display: none;"><?php _e( 'Post', 'keepmins' ) ?></a>
		<?php endif; ?>
	</div>
</div>
<div id="wrapper">
	<?php get_sidebar(); ?>