<?php
/**
 * Search result template.
 *
 * @package P2
 */
?>
<?php get_header(); ?>

<div class="sleeve_main">

	<div id="main">
		<h2 class="underbox">
			<?php printf( __( 'Search Results for: %s', 'keepmins' ), get_search_query() ); ?>
			<span class="controls">
				<a href="#" id="togglecomments"></a><a href="#directions" id="directions-keyboard"></a>
			</span>
		</h2>

		<?php if ( have_posts() ) : ?>

			<ul id="postlist">
			<?php while ( have_posts() ) : the_post(); ?>
				<?php p2_load_entry(); ?>
			<?php endwhile; ?>
			</ul>

		<?php else : ?>
<ul id="postlist">
<li>
			<div class="no-posts">
			    <h3><?php _e( 'No posts found!', 'keepmins' ); ?></h3>
				<p><?php _e( 'Apologies, but the page you requested could not be found. Perhaps searching will help.', 'keepmins' ); ?></p>
				<?php get_search_form(); ?>
			</div>

		<?php endif ?>
	</li>
</ul>
		<div class="navigation">
			<p class="nav-older"><?php next_posts_link( __( '&larr; Older posts', 'keepmins' ) ); ?></p>
			<p class="nav-newer"><?php previous_posts_link( __( 'Newer posts &rarr;', 'keepmins' ) ); ?></p>
		</div>

	</div> <!-- main -->

</div> <!-- sleeve -->

<?php get_footer(); ?>