<?php
/*
Template Name: Geo List
*/
__( 'Geo List', 'keepmins' );
get_header(); 
?>
<div class="sleeve_main">
<div id="main">
<ul id="postlist">
<li><h2 class="pagetitle"><?php the_title(); ?></h2><div class="postcontent"><ul>
<?php
$paged = ( get_query_var('paged') ) ? get_query_var('paged') : 1;
$args = array(
	'post_type' => 'post',
	'posts_per_page' => 20,
	'meta_key'   => 'geo_address',
	'paged' => $paged,
	'meta_query' => array(
		array(
			'key'     => 'geo_address',
			'value'   => '',
			'compare' => '!=',
		),
	),
);
$additional_loop = new WP_Query($args);
?>
<?php if ($additional_loop->have_posts()) {
	while ( $additional_loop->have_posts() ) {
		$additional_loop->the_post();
		$post = get_post();
		$qqlat = get_post_meta($post->ID, 'geo_qqlat', true);
		$qqlog = get_post_meta($post->ID, 'geo_qqlog', true);
		$geo_address = get_post_meta($post->ID, 'geo_address', true);
		$geo_venue = get_post_meta($post->ID, 'geo_venue', true);
		echo '<li class="geolist"><span class="venue"><a href='.get_permalink().' target="_blank" class="geolocation">'.$geo_venue.'</a></span><a href='.get_permalink().' target="_blank">'.$geo_address.'</a></li>';
		}
	wp_reset_postdata();
}
?>
</ul>
<?php if ($additional_loop->max_num_pages > 1) { // check if the max number of pages is greater than 1  ?>
  <div class="navigation">
    <p class="nav-older">
      <?php echo get_next_posts_link( '<span class="larrow-icon"></span>', $additional_loop->max_num_pages ); // display older posts link ?>
    </p>
    <p class="nav-newer">
      <?php echo get_previous_posts_link( '<span class="rarrow-icon"></span>' ); // display newer posts link ?>
    </p>
  </div>
<?php } ?>
</div>
</li>
</ul>
</div> <!-- main -->
</div> <!-- sleeve -->
<?php get_footer(); ?>